
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: Arial, sans-serif;
    background-color: #080808;
    color: white;
}


header {
    width: 100%;
    background-color: #080808;
}

.navbar {
    width: 90%;
    max-width: 1200px;
    margin: auto;

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 25px 0;
}

.logo {
    font-size: 22px;
    font-weight: bold;
    color: white;
}

.logo span {
    color: #d4af37;
}

.nav-links {
    display: flex;
    list-style: none;
    gap: 35px;
}

.nav-links a {
    text-decoration: none;
    color: #ddd;
    font-size: 14px;
    transition: 0.3s;
}

.nav-links a:hover {
    color: #d4af37;
}

.contact-btn {
    text-decoration: none;
    color: black;
    background-color: #d4af37;

    padding: 12px 22px;
    border-radius: 25px;

    font-size: 14px;
    font-weight: bold;
}



.hero {
    width: 90%;
    max-width: 1200px;
    min-height: 600px;

    margin: auto;

    display: flex;
    align-items: center;
    justify-content: space-between;

    gap: 70px;
}




.hero-image {
    width: 45%;
    height: 450px;

    background-color: #d4af37;

    border-radius: 20px;

    display: flex;
    justify-content: center;
    align-items: flex-end;

    overflow: hidden;
}

.hero-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}




.hero-content {
    width: 50%;
}

.small-heading {
    color: #d4af37;
    letter-spacing: 4px;
    font-size: 14px;
    margin-bottom: 15px;
}

.hero-content h1 {
    font-size: 65px;
    line-height: 0.95;
    margin-bottom: 25px;
}

.hero-content h1 span {
    display: block;
    color: #d4af37;
}

.intro {
    color: #aaa;
    line-height: 1.7;
    max-width: 550px;
    margin-bottom: 30px;
}



.hero-buttons {
    display: flex;
    gap: 15px;
}

.gold-btn {
    display: inline-block;

    text-decoration: none;

    background-color: #d4af37;
    color: #080808;

    padding: 14px 25px;
    border-radius: 30px;

    font-weight: bold;

    transition: 0.3s;
}

.gold-btn:hover {
    background-color: white;
}

.outline-btn {
    display: inline-block;

    text-decoration: none;

    color: #d4af37;

    border: 1px solid #d4af37;

    padding: 13px 25px;
    border-radius: 30px;

    transition: 0.3s;
}

.outline-btn:hover {
    background-color: #d4af37;
    color: black;
}




.gold-line {
    width: 90%;
    max-width: 1200px;
    height: 2px;

    background-color: #d4af37;

    margin: 20px auto;
}




section {
    width: 90%;
    max-width: 1200px;
    margin: auto;
    padding: 100px 0;
}

.section-title p {
    color: #d4af37;
    letter-spacing: 3px;
    font-size: 13px;
    margin-bottom: 10px;
}

.section-title h2 {
    font-size: 45px;
}

.section-title h2 span {
    color: #d4af37;
}





footer {
    text-align: center;
    border-top: 1px solid #222;
    padding: 25px;

    color: #777;
    font-size: 13px;
}




@media (max-width: 800px) {

    .navbar {
        flex-direction: column;
        gap: 20px;
    }

    .nav-links {
        gap: 15px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .hero {
        flex-direction: column;
        padding-top: 50px;
    }

    .hero-image,
    .hero-content {
        width: 100%;
    }

    .hero-content h1 {
        font-size: 45px;
    }

    .skill-container,
    .project-container {
        flex-direction: column;
    }
}


.about {
    width: 90%;
    max-width: 1200px;
    margin: auto;
    padding: 100px 0;
}

.about h2 {
    font-size: 55px;
    margin-bottom: 35px;
    margin-left: 118px;
}

.about h2 span {
    color: #d4af37;
}

.about-content {
    width: 80%;
    margin: auto;
}

.about-content p {
    color: #aaaaaa;
    line-height: 1.8;
    margin-bottom: 20px;
}

.about-columns {
    display: flex;
    gap: 80px;
    margin-top: 45px;
}

.about-columns div {
    flex: 1;
}

.about-columns h3 {
    color: #d4af37;
    margin-bottom: 18px;
}

.about-columns ul {
    padding-left: 20px;
}

.about-columns li {
    color: #aaaaaa;
    margin-bottom: 10px;
}




@media (max-width: 800px) {

    .about-content {
        width: 100%;
    }

    .about-columns {
        flex-direction: column;
        gap: 30px;
    }

    .about h2 {
        font-size: 40px;
    }
}


.skills {
    width: 90%;
    max-width: 1200px;
    margin: auto;
    padding: 100px 0;
}

.skills-heading {
    text-align: center;
    margin-bottom: 55px;
}

.skills-heading h2 {
    font-size: 50px;
}

.skills-heading h2 span {
    color: #d4af37;
}

.skills-heading p {
    color: #aaaaaa;
    max-width: 600px;
    margin: 20px auto;
    line-height: 1.7;
}




.skills-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
}

.skill-card {
    background-color: #111111;
    border: 1px solid #333333;

    padding: 35px;

    min-height: 250px;

    transition: 0.3s;
}

.skill-card:hover {
    border-color: #d4af37;
    transform: translateY(-8px);
}

.skill-icon {
    color: #d4af37;
    font-size: 25px;
    font-weight: bold;

    margin-bottom: 30px;
}

.skill-card h3 {
    color: white;
    font-size: 24px;
    margin-bottom: 15px;
}

.skill-card p {
    color: #aaaaaa;
    line-height: 1.6;
}


@media (max-width: 800px) {

    .skills-heading h2 {
        font-size: 38px;
    }

    .skills-container {
        grid-template-columns: 1fr;
    }
}


.projects {
    width: 90%;
    max-width: 1200px;
    margin: auto;
    padding: 100px 0;
}

.projects-heading {
    margin-bottom: 55px;
}

.projects-heading p {
    color: #d4af37;
    letter-spacing: 3px;
    font-size: 13px;
    margin-bottom: 10px;
}

.projects-heading h2 {
    font-size: 50px;
}

.projects-heading h2 span {
    color: #d4af37;
}

.projects-heading small {
    color: #888;
}



.project {
    display: flex;
    min-height: 300px;

    border: 1px solid #292929;
    margin-bottom: 25px;

    background-color: #101010;
}

.project-image {
    width: 50%;
    overflow: hidden;
}

.project-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.project-info {
    width: 50%;
    padding: 45px;

    display: flex;
    flex-direction: column;
    justify-content: center;
}

.project-info span {
    color: #d4af37;
    font-size: 12px;
    letter-spacing: 2px;
    margin-bottom: 15px;
}

.project-info h3 {
    font-size: 32px;
    margin-bottom: 15px;
}

.project-info p {
    color: #999;
    line-height: 1.7;
    max-width: 450px;
    margin-bottom: 25px;
}

.project-info a {
    color: #d4af37;
    text-decoration: none;
    font-size: 13px;
    font-weight: bold;
}

.project-info a:hover {
    color: white;
}



.project:hover {
    border-color: #d4af37;
}




@media (max-width: 800px) {

    .project,
    .project.reverse {
        flex-direction: column;
    }

    .project-image,
    .project-info {
        width: 100%;
    }

    .project-image {
        height: 250px;
    }

    .project-info {
        padding: 30px;
    }

    .projects-heading h2 {
        font-size: 40px;
    }
     }

.contact {
    width: 90%;
    max-width: 1200px;
    margin: auto;

    min-height: 650px;

    display: flex;

    background-color: #101010;
}



.contact-content {
    width: 65%;
    padding: 70px;
}

.contact-content h2 {
    font-size: 48px;
    margin-bottom: 15px;
}

.contact-content h2 span {
    color: #d4af37;
}

.contact-intro {
    color: #999;
    line-height: 1.7;
    margin-bottom: 35px;
    max-width: 550px;
}




form {
    width: 100%;
    max-width: 600px;
}

.input-box {
    margin-bottom: 22px;
}

.input-box label {
    display: block;

    color: #d4af37;

    font-size: 13px;
    margin-bottom: 8px;
}

.input-box input,
.input-box textarea {
    width: 100%;

    background-color: #080808;

    border: 1px solid #333;

    padding: 15px;

    color: white;

    font-family: Arial, sans-serif;

    outline: none;
}

.input-box input:focus,
.input-box textarea:focus {
    border-color: #d4af37;
}

.input-box textarea {
    height: 130px;
    resize: none;
}

.input-box input::placeholder,
.input-box textarea::placeholder {
    color: #666;
}




form button {
    border: none;

    background-color: #d4af37;
    color: #080808;

    padding: 15px 28px;

    font-weight: bold;

    cursor: pointer;
}

form button:hover {
    background-color: white;
}





@media (max-width: 800px) {

    .contact {
        flex-direction: column;
    }

    .contact-content,
    .contact-image {
        width: 100%;
    }

    .contact-content {
        padding: 40px 25px;
    }

    .contact-image {
        height: 350px;
    }

    .contact-content h2 {
        font-size: 38px;
    }
}


.footer {
    background-color: #050505;
    border-top: 1px solid #292929;
    padding-top: 70px;
}

.footer-container {
    width: 90%;
    max-width: 1200px;
    margin: auto;

    display: grid;
    grid-template-columns: 2fr 1fr 1fr 1.5fr;

    gap: 30px;
    padding-bottom: 60px;
}




.footer-box h2 {
    color: #d4af37;
    font-size: 30px;
    margin-bottom: 20px;
    margin-right: 50px;
}

.footer-box h2 span {
    color: white;
}

.footer-box h3 {
    color: #d4af37;
    font-size: 20px;
    margin-bottom: 20px;
}

.footer-box p {
    color: #999;
    line-height: 1.7;
    max-width: 280px;
}




.footer-box ul {
    list-style: none;
}

.footer-box li {
    margin-bottom: 12px;
}

.footer-box a {
    color: #aaa;
    text-decoration: none;
    transition: 0.3s;
}

.footer-box a:hover {
    color: #d4af37;
}




.footer-btn {
    display: inline-block;

    margin-top: 20px;

    border: 1px solid #d4af37;
    color: #d4af37 !important;

    padding: 11px 20px;
}

.footer-btn:hover {
    background-color: #d4af37;
    color: #050505 !important;
}


.footer-bottom {
    border-top: 1px solid #222;

    text-align: center;

    padding: 22px;
}

.footer-bottom p {
    max-width: none;
    color: #777;
    font-size: 13px;
}


@media (max-width: 800px) {

    .footer-container {
        grid-template-columns: 1fr;
        gap: 35px;
    }

}